Subject: Re: bug#54191: 26.3; (elisp) `Magic File Names' FILENAME parameters: absolute names?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Feb 2022 10:33:14 +0100

Drew Adams <[email-masked]> writes:

> I check this Elisp manual node for `file-remote-p'.  I try to figure out
> just what kind of file name is expected by the function.  No clue.  Same
> thing when I check the `C-h f' help (where the arg is called FILE).
>
> How am I to know what kind of file name needs to be passed to this
> function, e.g., whether I might need to first use `expand-file-name'?

In Emacs 29 (at least), this section includes examples like:

     This identifier string can include a host name and a user name, as
     well as characters designating the method used to access the remote
     system.  For example, the remote identifier string for the file
     name ‘/sudo::/some/file’ is ‘/sudo:root@localhost:’.

So I think that's clear enough, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no